#---------------------------------------------------------------------------
#  @(#) $Name: arts++-1-1-a12 $
#  @(#) $Id: Makefile.in,v 1.2 2003/06/12 18:52:01 rkoga Exp $
#---------------------------------------------------------------------------

ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsintfmagg

clean:
	rm -f *.o *.lo artsintfmagg
	rm -Rf .libs

strip:: artsintfmagg
	@-if [ -f .libs/artsintfmagg ]; then \
	  strip .libs/artsintfmagg ; \
	else \
	  strip artsintfmagg ; \
	fi

artsintfmagg: artsintfmagg.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsintfmagg.o ${ARTSCLASSLIB} @LIBS@ -o artsintfmagg

artsintfmagg.o: artsintfmagg.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsintfmagg.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsintfmagg @bindir@/artsintfmagg
	../../install-sh -c -m 444 artsintfmagg.man @mandir@/manl/artsintfmagg.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsintfmagg
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsintfmagg.l

